Bug 30347 - Remove unused ucc/pxe variables ldapserver and nameserver
Remove unused ucc/pxe variables ldapserver and nameserver
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Client management
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Felix Botner
Erik Damrose
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-07 16:07 CET by Erik Damrose
Modified: 2014-06-12 09:19 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Cleanup
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2013-02-07 16:07:47 CET
The ucr variables ucc/pxe/ldapserver and ucc/pxe/nameserver are evaluated when changing a ucc computer object and appended to the pxe cmdline. However they are never evaluated on a pxe-booted ucc system.

ucc/pxe/nameserver's functionality is questionable as a ucc system finds its neccessary parameters in the 'ip' variable in the cmdline: ip=[myipaddress]:[nameserver]:[default gateway]:[subnet mask]

The ucr variables can be removed or there should be an evaluation on ucc side.
Comment 1 Felix Botner univentionstaff 2014-04-04 11:49:19 CEST
ucc/pxe/ldapserver, ucc/pxe/nameserver and ucc/pxe/ldapport have been removed from the pxe listener, therefore ldapServer=, ldapPort= and DNSSERVER= are no longer set in the pxe configuration for ucc clients (these settings are not used on ucc clients).
Comment 2 Erik Damrose univentionstaff 2014-04-08 14:06:37 CEST
- Deprecated UCR variables should be unset during an update to UCC 2.0, as not to confuse users
Comment 3 Felix Botner univentionstaff 2014-04-09 15:19:45 CEST
(In reply to Felix Botner from comment #1)
> ucc/pxe/ldapserver, ucc/pxe/nameserver and ucc/pxe/ldapport have been
> removed from the pxe listener, therefore ldapServer=, ldapPort= and
> DNSSERVER= are no longer set in the pxe configuration for ucc clients (these
> settings are not used on ucc clients).

done
Comment 4 Erik Damrose univentionstaff 2014-04-09 16:28:12 CEST
Verified: Variables are unset during update
Comment 5 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:37 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".